KPAT(6)

NIMI
kpat - Äärmiselt köitev KDE kaardimäng.

SüNOPSIS

kpat [Qt valikud...] [KDE valikud...] [--solvegame fail] [--solve number] [--start number] [--end number] [--gametype mäng]

KIRJELDUS

KPatience on kogumik tuntud kaardimänge alates kuulsatest, nagu Klondike ja Freecell, vähemkuulduteni, nagu Vanaisa Kell ja Mod3. Kokku kuulub valimikku 12 erinevat mängu.

VÕTMED

Rakendus kasutab tavapärast GNU käsurea süntaksit, mille puhul pikad võtmed algavad kahe kriipsuga (`--'). Allpool on toodud loetelu võtmetest, mida kpat toetab.

  Üldised võtmed

--author
    Näitab infot autori kohta

--help
    Näitab abi võtmete kohta

--help-qt
    Näitab Qt spetsiifilisi võtmeid

--help-kde
    Näitab KDE spetsiifilisi võtmeid

--help-all
    Näitab kõiki võtmeid

--license
    Näitab litsentsiinfot

-v, --version
    Näitab versiooniinfot ja väljub.

  Qt võtmed

--display kuva_nimi
    Kasutatakse X serveri kuva kuva_nimi.

--session sessionId
    Taastab rakenduse määratud väärtusega sessionId.

--cmap
    Sunnib rakenduse paigaldama omaenda värvitabelit 8-bitisel kuval.

--ncols arv
    Piirab värvide arvu, mida eraldatakse 8-bitisel kuval, kui rakendus kasutab värvispetsifikatsiooni QApplication::ManyColor.

--nograb
    käseb Qt'l mitte kunagi haarata hiirt ja klaviatuuri enda valdusesse.

--dograb
    silujas rakendatuna võib põhjustada selge -nograb, kasuta selle tühistamiseks -dograb.

--sync
    lülitub silumiseks sünkroonrežiimi.

--fn, --font fondi_nimi
    määrab rakenduse fondi.

--bg, --background värv
    seab vaikimisi taustavärvi ja rakenduse paleti (arvutatakse heledad ja tumedad varjud).

--fg,--foreground värv
    seab esiplaani vaikevärvi.

--btn, --button värv
    seab nupu vaikevärvi.

--name nimi
    seab rakenduse nime.

--title tiitel
    seab rakenduse tiitli (pealkirja).

--visual TrueColor
    sunnib rakendust kasutama TrueColorit 8-bitisel kuval.

--inputstyle
    seab XIM (X'i sisendimeetod) sisendistiili. Võimalikud parameetrid on onthespot, overthespot, offthespot ja root.

--im XIM server
    seab XIM serveri.

--noxim
    keelab XIM kasutamise.

--reverse
    peegeldab kogu vidinate paigutuse.

--stylesheet fail.qss
    Qt laaditabeli rakendamine rakenduse vidinatele.

--graphicssystem süsteem
    Mõne muu graafikasüsteemi kasutamine, valikuteks on “raster” ja “opengl” (eksperimentaalne).

  KDE võtmed

--caption pealkiri
    Pealkirja kasutamine tiitliriba nimena.

--icon ikoon
    Rakenduse ikoonina kasutatakse ikooni.

--config failinimi
    Alternatiivse seadistustefaili kasutamine.

--nocrashhandler
    Keelatakse koorikute saamiseks ämbri käsitleja.

--waitforwm
    Ootab WM_NET ühilduvat aknahaldurit.

--style stiil
    määrab rakenduse GUI stiili.

--geometry geomeetria
    Kliendi peamise akna geomeetria - argumendi vormingu (tavaliselt LaiusxKõrgus+XPos+YPos) kohta vaata man:/X.

  Võtmed

--solvegame fail
    Katse leida lahendust määratud salvestatud mängule

--solve number
    Lahendatav jagaja (silumine)

--start number
    Mänguvahemiku algus (vaikimisi 0:INT_MAX)

--end number
    Mänguvahemiku lõpp (vaikimisi start:start, kui algus on antud)

--gametype mäng
    Valikuekraani ärajätmine ja konkreetse mängutüübi laadimine. Korrektsed väärtused on järgmised: acesup, fortyeight, freecell, golf, grandfather, grandfathersclock, gypsy, klondike, mod3, simplesimon, spider, yukon

  Argumendid

fail
    Avatav fail

VAATA KA

KPatience on põhjalikult dokumenteeritud KPatience'i käsiraamatus ($KDEDIRshare/doc/HTML/en/kpat/index.html või sisesta Konqueroris help:/kpat/index.html).

AUTOR

KPatience'i autor:
    Paul Olav Tvete
    Mario Weilguni <mweilguni@kde.org>
    Matthias Ettrich <ettrich@kde.org>
    Rodolfo Borges <barrett@labma.ufrj.br>
    Peter H. Ruegg <kpat@incense.org>
    Michael Koch <koch@kde.org>
    Marcus Meissner <mm@caldera.de>
    Shlomi Fish<shlomif@vipe.technion.ac.il>
    Stephan Kulow <coolo@kde.org>